## org.apache.mahout.cf.taste.common
Class TasteException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.mahout.cf.taste.common.TasteException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NoSuchItemException, NoSuchUserException

    public class TasteException

extends Exception

An exception thrown when an error occurs inside the Taste engine.

See Also:
  Serialized Form

Constructor Summary
`TasteException()`
`TasteException(String message)`
`TasteException(String message, Throwable cause)`
`TasteException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TasteException

    public TasteException()

### TasteException

    public TasteException(String message)

### TasteException

    public TasteException(Throwable cause)

### TasteException

    public TasteException(String message,
                          Throwable cause)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.